Bug 361231 - Review Request: rubygem-actionmailer - Service layer for easy email delivery and testing
Review Request: rubygem-actionmailer - Service layer for easy email delivery ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Scott Seago
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 361191
  Show dependency treegraph
 
Reported: 2007-10-31 21:53 EDT by David Lutterkort
Modified: 2013-04-30 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 18:49:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sseago: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Lutterkort 2007-10-31 21:53:13 EDT
Spec URL: http://people.redhat.com/dlutter/yum/spec/rubygem-actionmailer.spec
SRPM URL: http://people.redhat.com/dlutter/yum/SRPMS/rubygem-actionmailer-1.3.5-1.src.rpm

Description:

Makes it trivial to test and deliver emails sent from a single service layer.
Comment 1 Scott Seago 2007-11-07 11:55:00 EST
OK - Package name
OK - License info is accurate
OK - License tag is correct and licenses are approved
OK - Specfile name
OK - Specfile is legible
OK - No prebuilt binaries included
OK - PreReq not used
OK - Source md5sum matches upstream
OK - No hardcoded pathnames
OK - Package owns all the files it installs
OK - Package requires create needed unowned directories
OK - Package builds successfully on i386 and x86_64 
OK - BuildRequires sufficient
OK - File permissions set properly (except for rpmlint error below)
OK - Macro usage is consistent

OK - Package is named rubygem-%{gemname}
OK - Source points to full URL of gem
OK - Package version identical with gem version
OK - Package Requires and BuildRequires rubygems
OK - Package provides rubygem(%{gemname}) = %version
OK - Package requires gem dependencies correctly
OK - %prep and %build are empty
OK - %gemdir defined properly, and gem installed into it
OK - Package owns its directories under %gemdir
OK - No arch-specific content in %{gemdir}
OK - Package is noarch

??? - BuildRoot value: not sure if this is really a problem, but it
  looks like %{release} is omitted:

  BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
 vs.
             %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

FIX - MIT-LICENSE, README, CHANGELOG not installed as %doc
  general doc question: docs are included as regular gem
  files in %{geminstdir}, but not in %{_docdir}/%{name}-%{version} as
  in some of the packages Is there a clear preference for doc location?

FIX - rpmlint complains 
E: rubygem-actionmailer zero-length
/usr/lib/ruby/gems/1.8/gems/actionmailer-1.3.5/test/fixtures/path.with.dots/multipart_with_template_path_with_dots.rhtml
Comment 2 David Lutterkort 2007-11-13 23:22:41 EST
Fixed: buildroot
Fixed: marked various things in geminstdir as %doc

I left the zero-length file in there to minimize differences between the gem and
the rpm

Spec URL: http://people.redhat.com/dlutter/yum/spec/rubygem-actionmailer.spec
SRPM URL:
http://people.redhat.com/dlutter/yum/SRPMS/rubygem-actionmailer-1.3.5-2.src.rpm
Comment 3 Scott Seago 2007-11-14 17:00:46 EST
approved
Comment 4 David Lutterkort 2007-11-28 14:20:01 EST
New Package CVS Request
=======================
Package Name: rubygem-actionmailer
Short Description: Service layer for easy email delivery and testing
Owners: lutter,sseago
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-11-28 18:24:11 EST
cvs done.
Comment 6 David Lutterkort 2007-12-03 18:49:57 EST
Successfully imported and built.

Note You need to log in before you can comment on or make changes to this bug.